Name:           doodle
Version:        0.7.0
Release:        8%{?dist}
Summary:        Doodle is a tool to quickly search the documents on a computer

Group:          Applications/File
License:        GPLv2+
URL:            http://gnunet.org/doodle/
Source0:        http://gnunet.org/doodle/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libextractor-devel gettext gamin-devel

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig

%description
Doodle is a tool to quickly search the documents on a computer. Doodle builds
an index using meta-data contained in the documents and allows fast searches on
the resulting database. Doodle uses libextractor to support obtaining meta-data
from various file-formats. The database used by doodle is a suffix tree,
resulting in fast lookups. Doodle supports approximate searches.

%description devel
The %{name}-devel package contains header file for
developing applications that use %{name}.

%prep
%setup -q
sed -i 's#O_CREAT | ##' src/doodle/doodled.c

%build
%configure --disable-rpath --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make #%{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libdoodle.la
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}*
%{_libdir}/lib%{name}.so.*
%{_mandir}/man*/*%{name}*

%doc AUTHORS ChangeLog COPYING NEWS PLATFORMS README 

%files devel
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 27 2010 Karol Trzcionka <karlikt at gmail.com> - 0.7.0-1
- Update to v0.7.0
- Fix rpath (delete)

* Tue Feb 02 2010 Jesse Keating <jkeating@redhat.com> - 0.6.7-6
- Rebuild for deps

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.6.7-5
- Use bzipped upstream tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Karol Trzcionka <karlikt at gmail.com> - 0.6.7-2
- respin (gcc43)
* Sun Dec 09 2007 Karol Trzcionka <karlikt at gmail.com> - 0.6.7-1
- Update to v0.6.7
* Sun Aug 26 2007 Karol Trzcionka <karlikt at gmail.com> - 0.6.6-3
- Fixed using open function
* Thu Jan 04 2007 Karol Trzcionka <karlikt at gmail.com> - 0.6.6-2
- Fixed problem with doodled
* Thu Jan 04 2007 Karol Trzcionka <karlikt at gmail.com> - 0.6.6-1
- Initial Release
